IvyThread
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core
Class IvyThread

    java.lang.Object
      java.lang.Thread
          org.apache.ivy.core.IvyThread

All Implemented Interfaces:
  java.lang.Runnable

    public class IvyThread

extends java.lang.Thread

A simple thread subclass associated the same IvyContext as the thread in which it is instanciated. If you override the run target, then you will have to call initContext() to do the association with the original IvyContext.

See Also:
  `IvyContext`

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`IvyThread()`
`IvyThread(java.lang.Runnable target)`
`IvyThread(java.lang.Runnable target, java.lang.String name)`
`IvyThread(java.lang.String name)`
`IvyThread(java.lang.ThreadGroup group, java.lang.Runnable target)`
`IvyThread(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name)`
`IvyThread(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name, long stackSize)`
`IvyThread(java.lang.ThreadGroup group, java.lang.String name)`

Method Summary
`protected void` | `initContext()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyThread

    public IvyThread()

### IvyThread

    public IvyThread(java.lang.Runnable target,
                     java.lang.String name)

### IvyThread

    public IvyThread(java.lang.Runnable target)

### IvyThread

    public IvyThread(java.lang.String name)

### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
                     java.lang.Runnable target,
                     java.lang.String name,
                     long stackSize)

### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
                     java.lang.Runnable target,
                     java.lang.String name)

### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
                     java.lang.Runnable target)

### IvyThread

    public IvyThread(java.lang.ThreadGroup group,
                     java.lang.String name)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### initContext

    protected void initContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD